## Index

### Variables

- BUFFER_TYPES

### Functions

- detectCollectionType
- detectType
- isBinary
- isBrowser
- isBufferType
- isCollection
- isNode
- isSet
- isType
- typeName
- typeOf
- typeOfFromDb
- uuidv4

## Variables

### Const BUFFER_TYPES

BUFFER_TYPES: string[] = ['Buffer','File','Blob','ArrayBuffer','DataView','Int8Array','Uint8Array','Uint8ClampedArray','Int16Array','Uint16Array','Int32Array','Uint32Array','Float32Array','Float64Array',]

- Defined in mapper/util.ts:9

## Functions

### detectCollectionType

- detectCollectionType(collection: any[] | Set<any>): AttributeCollectionType

- - Defined in mapper/util.ts:35

  Detects the dynamodb type to which an collection value should be mapped. Empty collections will be mapped to L(ist). Collections of type array where all the values are either String | Number | Binary will be mapped to the corresponding S(et) type. If the item types are heterogeneous or it is a non supported set type the returned type will be L(ist). The logic for collection fo type Set is the same.

  #### Parameters

  - ##### collection: any[] | Set<any>

  #### Returns AttributeCollectionType

### detectType

- detectType(value: any): AttributeType

- - Defined in mapper/util.ts:94

  #### Parameters

  - ##### value: any

  #### Returns AttributeType

### isBinary

- isBinary(data: any): boolean

- - Defined in mapper/util.ts:195

  #### Parameters

  - ##### data: any

  #### Returns boolean

### isBrowser

- isBrowser(): any

- - Defined in mapper/util.ts:222

  #### Returns any

### isBufferType

- isBufferType(type: any): boolean

- - Defined in mapper/util.ts:206

  #### Parameters

  - ##### type: any

  #### Returns boolean

### isCollection

- isCollection(value: any): boolean

- - Defined in mapper/util.ts:83

  #### Parameters

  - ##### value: any

  #### Returns boolean

### isNode

- isNode(): boolean

- - Defined in mapper/util.ts:226

  #### Returns boolean

### isSet

- isSet(value: any): boolean

- - Defined in mapper/util.ts:87

  #### Parameters

  - ##### value: any

  #### Returns boolean

### isType

- isType(obj: any, type: any): boolean

- - Defined in mapper/util.ts:213

  #### Parameters

  - ##### obj: any

  - ##### type: any

  #### Returns boolean

### typeName

- typeName(type: any): "Null" | "Undefined" | string

- - Defined in mapper/util.ts:235

  Returns the name of the given Type. null and undefined are special cases were we return 'Null' vs. 'Undefined'

  #### Parameters

  - ##### type: any

  #### Returns "Null" | "Undefined" | string

### typeOf

- typeOf(data: any): AttributeValueType

- - Defined in mapper/util.ts:132

  Will resolve the type based on given data.

  #### Parameters

  - ##### data: any

  #### Returns AttributeValueType

### typeOfFromDb

- typeOfFromDb(attributeValue?: Attribute): AttributeValueType

- - Defined in mapper/util.ts:167

  #### Parameters

  - ##### Optional attributeValue: Attribute

  #### Returns AttributeValueType

### uuidv4

- uuidv4(): string

- - Defined in mapper/util.ts:256

  #### Returns string

Generated using TypeDoc